jdbm.helper

## Class ActionContext

- java.lang.Object
- - jdbm.helper.ActionContext

    public class ActionContext
    extends Object

Used to store Action specific context.

Author:
  Apache Directory Project

### Constructor Summary

Constructors
Constructor and Description
`ActionContext()`

### Method Summary

Methods
`void` `beginAction(boolean readOnly, ActionVersioning.Version version, String whoStarted)`
`void` `endAction()`
`ActionVersioning.Version` `getVersion()`
`String` `getWhoStarted()`
`boolean` `isActive()`
`boolean` `isReadOnlyAction()`
`boolean` `isWriteAction()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ActionContext

    public ActionContext()

### Method Detail

#### beginAction

    public void beginAction(boolean readOnly,
                   ActionVersioning.Version version,
                   String whoStarted)

#### endAction

    public void endAction()

#### isReadOnlyAction

    public boolean isReadOnlyAction()

#### isWriteAction

    public boolean isWriteAction()

#### isActive

    public boolean isActive()

#### getVersion

    public ActionVersioning.Version getVersion()

#### getWhoStarted

    public String getWhoStarted()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`